---@meta

---@class UWG_AudioMenu_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WG_VoiceLevelWidget UWG_VoiceLevelWidget_C
---@field SoundOptionList URGListView
---@field SilenceTreshold UOptionListItemBar_C
---@field SilenceAttackTime UOptionListItemBar_C
---@field SilenceReleaseTime UOptionListItemBar_C
---@field MicInputGain UOptionListItemBar_C
---@field BufferingDelay UOptionListItemBar_C
---@field NoiseThreshold UOptionListItemBar_C
local UWG_AudioMenu_C = {}

---@return UWidget
function UWG_AudioMenu_C:BP_GetDesiredFocusTarget() end
function UWG_AudioMenu_C:OnMicParametersUpdated() end
function UWG_AudioMenu_C:ApplyVOIPSettings() end
---@param Value double
function UWG_AudioMenu_C:OnMicSliderUpdated(Value) end
function UWG_AudioMenu_C:ApplySoundSettings() end
---@param SelectedIndex int32
function UWG_AudioMenu_C:OnVOIPModeUpdated(SelectedIndex) end
function UWG_AudioMenu_C:PopulateSoundSettings() end
function UWG_AudioMenu_C:Construct() end
function UWG_AudioMenu_C:BP_OnActivated() end
function UWG_AudioMenu_C:BP_OnDeactivated() end
---@param EntryPoint int32
function UWG_AudioMenu_C:ExecuteUbergraph_WG_AudioMenu(EntryPoint) end


